Check whether an address is in a third country
curl --request POST \
--url https://api.rrc.dev.finventi.com/reports/cesop/v1/addresses:check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "Calle Triana 25, 35002 Las Palmas de Gran Canaria, Spain"
}
'import requests
url = "https://api.rrc.dev.finventi.com/reports/cesop/v1/addresses:check"
payload = { "address": "Calle Triana 25, 35002 Las Palmas de Gran Canaria, Spain" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({address: 'Calle Triana 25, 35002 Las Palmas de Gran Canaria, Spain'})
};
fetch('https://api.rrc.dev.finventi.com/reports/cesop/v1/addresses:check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"thirdTerritory": true,
"countryCode": "ES"
}{
"thirdTerritory": true,
"countryCode": "ES"
}{
"thirdTerritory": true,
"countryCode": "ES"
}Filtering support
Check an address
Resolve whether a free text address is in a third country for CESOP purposes.
POST
/
reports
/
cesop
/
v1
/
addresses:check
Check whether an address is in a third country
This helper supports your filtering decisions and is not part of the submission flow. A third territory is a country outside the EU, or an EU territory excluded from the EU VAT area (e.g. the Canary Islands).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Free-text address to resolve
The address as one free-text line, in any format
Maximum string length:
1000Example:
"Calle Triana 25, 35002 Las Palmas de Gran Canaria, Spain"
Response
Address resolved
Result of resolving the address
True when the address resolves to a third country for CESOP purposes: a country outside the EU, or an EU territory excluded from the EU VAT area (e.g. the Canary Islands).
ISO 3166-1 alpha-2 code of the country the address resolved to
Example:
"ES"
Last modified on August 5, 2026